Python 2.7에 pip 설치

Python 2.7에 pip 설치

2022-10-03 last update

7 minutes reading pip 파이썬
Python 2.7은 이미 EOL을 사용하고 있으며 Python 3으로 마이그레이션하는 것이 좋습니다. 1
그럼에도 불구하고, Python 3을 지원하지 않는 코드는 계속 작동해야합니다.

이 기사에서는 최신 pip에서 더 이상 지원되지 않는 Python 2.7 환경에 pip 20.3.4를 설치하는 단계를 소개합니다.

경위



pip는 2021년 1월 23일에 릴리스된 21.0부터 Python 2 지원을 종료했습니다.

Note: pip 21.0, in January 2021, removed Python 2 support, per pip's Python 2 support policy. Please migrate to Python 3.

htps : // 기주 b. 코m/py파/피p 보다 인용

이와 함께 pip를 설치하는 데 사용되는 제 t-일 p. py 스크립트는 Python 2에서 더 이상 작동하지 않습니다.
조금 전까지는 SyntaxError 가 발생 2
# curl https://bootstrap.pypa.io/get-pip.py -o get-pip.py
# python get-pip.py
ERROR: This script does not work on Python 2.7 The minimum supported Python version is 3.6. Please use https://bootstrap.pypa.io/2.7/get-pip.py instead.

실제로는 이 메세지에 쓰여져 있는 URL 로부터 한층 더 이동하고 있습니다만, 잠시 후 수정되는 것이 아닐까 생각합니다. 3

설치 절차 (a)



Python 2.7 용 get-pip.py가 다음 URL로 이동했습니다.
# curl https://bootstrap.pypa.io/pip/2.7/get-pip.py -o get-pip.py
# python get-pip.py

이동 후 URL은 Stack Overflow의 다음 주석에서 소개되었습니다.



설치 절차 (b)



pip wheel 파일을 다운로드하여 설치합니다.
curl 로 지정하고 있는 URL 는 4 에 게재되고 있는 wheel 파일의 URL 입니다.
# curl -O https://files.pythonhosted.org/packages/27/79/8a850fe3496446ff0d584327ae44e7500daf6764ca1a382d2d02789accf7/pip-20.3.4-py2.py3-none-any.whl
# python pip-20.3.4-py2.py3-none-any.whl/pip install --no-index pip-20.3.4-py2.py3-none-any.whl

이 절차는 Stack Overflow의 다음 주석에서 소개되었습니다.

Python은 원래 zip 파일을 지정하여 실행할 수 있습니다.



pip 20.3.4 Download files  htps //w w. py 응. 오 rg / c / sunse tpy 2-2 /

  h tps : // s t c ゔ ぇ rf ぉ w. 코 m / 쿠에 s 치온 s / 65866417 / 삐 ぉ ん s た ぁ

  h tps : // s t c ゔ ぇ rf ぉ w. 코 m / 쿠에 s 치온 s / 65558034 / 칸 t-in s 탓 ㅇ ぅ ㅇ 니 뺨 ぃ th py 쵸 2-7/65912726 # 65912726

  htps : // 기주 b. 코 m / py 빠 / 게 tp p / 이스에 s / 61